Class: Aws::Greengrass::Client
- Inherits:
-
Seahorse::Client::Base
- Object
- Seahorse::Client::Base
- Aws::Greengrass::Client
- Includes:
- ClientStubs
- Defined in:
- gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb
Overview
An API client for Greengrass. To construct a client, you need to configure a :region and :credentials.
client = Aws::Greengrass::Client.new(
region: region_name,
credentials: credentials,
# ...
)
For details on configuring region and credentials see the developer guide.
See #initialize for a full list of supported configuration options.
Instance Attribute Summary
Attributes inherited from Seahorse::Client::Base
API Operations collapse
-
#associate_role_to_group(params = {}) ⇒ Types::AssociateRoleToGroupResponse
Associates a role with a group.
-
#associate_service_role_to_account(params = {}) ⇒ Types::AssociateServiceRoleToAccountResponse
Associates a role with your account.
-
#create_connector_definition(params = {}) ⇒ Types::CreateConnectorDefinitionResponse
Creates a connector definition.
-
#create_connector_definition_version(params = {}) ⇒ Types::CreateConnectorDefinitionVersionResponse
Creates a version of a connector definition which has already been defined.
-
#create_core_definition(params = {}) ⇒ Types::CreateCoreDefinitionResponse
Creates a core definition.
-
#create_core_definition_version(params = {}) ⇒ Types::CreateCoreDefinitionVersionResponse
Creates a version of a core definition that has already been defined.
-
#create_deployment(params = {}) ⇒ Types::CreateDeploymentResponse
Creates a deployment.
-
#create_device_definition(params = {}) ⇒ Types::CreateDeviceDefinitionResponse
Creates a device definition.
-
#create_device_definition_version(params = {}) ⇒ Types::CreateDeviceDefinitionVersionResponse
Creates a version of a device definition that has already been defined.
-
#create_function_definition(params = {}) ⇒ Types::CreateFunctionDefinitionResponse
Creates a Lambda function definition which contains a list of Lambda functions and their configurations to be used in a group.
-
#create_function_definition_version(params = {}) ⇒ Types::CreateFunctionDefinitionVersionResponse
Creates a version of a Lambda function definition that has already been defined.
-
#create_group(params = {}) ⇒ Types::CreateGroupResponse
Creates a group.
-
#create_group_certificate_authority(params = {}) ⇒ Types::CreateGroupCertificateAuthorityResponse
Creates a CA for the group.
-
#create_group_version(params = {}) ⇒ Types::CreateGroupVersionResponse
Creates a version of a group which has already been defined.
-
#create_logger_definition(params = {}) ⇒ Types::CreateLoggerDefinitionResponse
Creates a logger definition.
-
#create_logger_definition_version(params = {}) ⇒ Types::CreateLoggerDefinitionVersionResponse
Creates a version of a logger definition that has already been defined.
-
#create_resource_definition(params = {}) ⇒ Types::CreateResourceDefinitionResponse
Creates a resource definition which contains a list of resources to be used in a group.
-
#create_resource_definition_version(params = {}) ⇒ Types::CreateResourceDefinitionVersionResponse
Creates a version of a resource definition that has already been defined.
-
#create_software_update_job(params = {}) ⇒ Types::CreateSoftwareUpdateJobResponse
Creates a software update for a core or group of cores (specified as an IoT thing group.) Use this to update the OTA Agent as well as the Greengrass core software.
-
#create_subscription_definition(params = {}) ⇒ Types::CreateSubscriptionDefinitionResponse
Creates a subscription definition.
-
#create_subscription_definition_version(params = {}) ⇒ Types::CreateSubscriptionDefinitionVersionResponse
Creates a version of a subscription definition which has already been defined.
-
#delete_connector_definition(params = {}) ⇒ Struct
Deletes a connector definition.
-
#delete_core_definition(params = {}) ⇒ Struct
Deletes a core definition.
-
#delete_device_definition(params = {}) ⇒ Struct
Deletes a device definition.
-
#delete_function_definition(params = {}) ⇒ Struct
Deletes a Lambda function definition.
-
#delete_group(params = {}) ⇒ Struct
Deletes a group.
-
#delete_logger_definition(params = {}) ⇒ Struct
Deletes a logger definition.
-
#delete_resource_definition(params = {}) ⇒ Struct
Deletes a resource definition.
-
#delete_subscription_definition(params = {}) ⇒ Struct
Deletes a subscription definition.
-
#disassociate_role_from_group(params = {}) ⇒ Types::DisassociateRoleFromGroupResponse
Disassociates the role from a group.
-
#disassociate_service_role_from_account(params = {}) ⇒ Types::DisassociateServiceRoleFromAccountResponse
Disassociates the service role from your account.
-
#get_associated_role(params = {}) ⇒ Types::GetAssociatedRoleResponse
Retrieves the role associated with a particular group.
-
#get_bulk_deployment_status(params = {}) ⇒ Types::GetBulkDeploymentStatusResponse
Returns the status of a bulk deployment.
-
#get_connectivity_info(params = {}) ⇒ Types::GetConnectivityInfoResponse
Retrieves the connectivity information for a core.
-
#get_connector_definition(params = {}) ⇒ Types::GetConnectorDefinitionResponse
Retrieves information about a connector definition.
-
#get_connector_definition_version(params = {}) ⇒ Types::GetConnectorDefinitionVersionResponse
Retrieves information about a connector definition version, including the connectors that the version contains.
-
#get_core_definition(params = {}) ⇒ Types::GetCoreDefinitionResponse
Retrieves information about a core definition version.
-
#get_core_definition_version(params = {}) ⇒ Types::GetCoreDefinitionVersionResponse
Retrieves information about a core definition version.
-
#get_deployment_status(params = {}) ⇒ Types::GetDeploymentStatusResponse
Returns the status of a deployment.
-
#get_device_definition(params = {}) ⇒ Types::GetDeviceDefinitionResponse
Retrieves information about a device definition.
-
#get_device_definition_version(params = {}) ⇒ Types::GetDeviceDefinitionVersionResponse
Retrieves information about a device definition version.
-
#get_function_definition(params = {}) ⇒ Types::GetFunctionDefinitionResponse
Retrieves information about a Lambda function definition, including its creation time and latest version.
-
#get_function_definition_version(params = {}) ⇒ Types::GetFunctionDefinitionVersionResponse
Retrieves information about a Lambda function definition version, including which Lambda functions are included in the version and their configurations.
-
#get_group(params = {}) ⇒ Types::GetGroupResponse
Retrieves information about a group.
-
#get_group_certificate_authority(params = {}) ⇒ Types::GetGroupCertificateAuthorityResponse
Retreives the CA associated with a group.
-
#get_group_certificate_configuration(params = {}) ⇒ Types::GetGroupCertificateConfigurationResponse
Retrieves the current configuration for the CA used by the group.
-
#get_group_version(params = {}) ⇒ Types::GetGroupVersionResponse
Retrieves information about a group version.
-
#get_logger_definition(params = {}) ⇒ Types::GetLoggerDefinitionResponse
Retrieves information about a logger definition.
-
#get_logger_definition_version(params = {}) ⇒ Types::GetLoggerDefinitionVersionResponse
Retrieves information about a logger definition version.
-
#get_resource_definition(params = {}) ⇒ Types::GetResourceDefinitionResponse
Retrieves information about a resource definition, including its creation time and latest version.
-
#get_resource_definition_version(params = {}) ⇒ Types::GetResourceDefinitionVersionResponse
Retrieves information about a resource definition version, including which resources are included in the version.
-
#get_service_role_for_account(params = {}) ⇒ Types::GetServiceRoleForAccountResponse
Retrieves the service role that is attached to your account.
-
#get_subscription_definition(params = {}) ⇒ Types::GetSubscriptionDefinitionResponse
Retrieves information about a subscription definition.
-
#get_subscription_definition_version(params = {}) ⇒ Types::GetSubscriptionDefinitionVersionResponse
Retrieves information about a subscription definition version.
-
#get_thing_runtime_configuration(params = {}) ⇒ Types::GetThingRuntimeConfigurationResponse
Get the runtime configuration of a thing.
-
#list_bulk_deployment_detailed_reports(params = {}) ⇒ Types::ListBulkDeploymentDetailedReportsResponse
Gets a paginated list of the deployments that have been started in a bulk deployment operation, and their current deployment status.
-
#list_bulk_deployments(params = {}) ⇒ Types::ListBulkDeploymentsResponse
Returns a list of bulk deployments.
-
#list_connector_definition_versions(params = {}) ⇒ Types::ListConnectorDefinitionVersionsResponse
Lists the versions of a connector definition, which are containers for connectors.
-
#list_connector_definitions(params = {}) ⇒ Types::ListConnectorDefinitionsResponse
Retrieves a list of connector definitions.
-
#list_core_definition_versions(params = {}) ⇒ Types::ListCoreDefinitionVersionsResponse
Lists the versions of a core definition.
-
#list_core_definitions(params = {}) ⇒ Types::ListCoreDefinitionsResponse
Retrieves a list of core definitions.
-
#list_deployments(params = {}) ⇒ Types::ListDeploymentsResponse
Returns a history of deployments for the group.
-
#list_device_definition_versions(params = {}) ⇒ Types::ListDeviceDefinitionVersionsResponse
Lists the versions of a device definition.
-
#list_device_definitions(params = {}) ⇒ Types::ListDeviceDefinitionsResponse
Retrieves a list of device definitions.
-
#list_function_definition_versions(params = {}) ⇒ Types::ListFunctionDefinitionVersionsResponse
Lists the versions of a Lambda function definition.
-
#list_function_definitions(params = {}) ⇒ Types::ListFunctionDefinitionsResponse
Retrieves a list of Lambda function definitions.
-
#list_group_certificate_authorities(params = {}) ⇒ Types::ListGroupCertificateAuthoritiesResponse
Retrieves the current CAs for a group.
-
#list_group_versions(params = {}) ⇒ Types::ListGroupVersionsResponse
Lists the versions of a group.
-
#list_groups(params = {}) ⇒ Types::ListGroupsResponse
Retrieves a list of groups.
-
#list_logger_definition_versions(params = {}) ⇒ Types::ListLoggerDefinitionVersionsResponse
Lists the versions of a logger definition.
-
#list_logger_definitions(params = {}) ⇒ Types::ListLoggerDefinitionsResponse
Retrieves a list of logger definitions.
-
#list_resource_definition_versions(params = {}) ⇒ Types::ListResourceDefinitionVersionsResponse
Lists the versions of a resource definition.
-
#list_resource_definitions(params = {}) ⇒ Types::ListResourceDefinitionsResponse
Retrieves a list of resource definitions.
-
#list_subscription_definition_versions(params = {}) ⇒ Types::ListSubscriptionDefinitionVersionsResponse
Lists the versions of a subscription definition.
-
#list_subscription_definitions(params = {}) ⇒ Types::ListSubscriptionDefinitionsResponse
Retrieves a list of subscription definitions.
-
#list_tags_for_resource(params = {}) ⇒ Types::ListTagsForResourceResponse
Retrieves a list of resource tags for a resource arn.
-
#reset_deployments(params = {}) ⇒ Types::ResetDeploymentsResponse
Resets a group's deployments.
-
#start_bulk_deployment(params = {}) ⇒ Types::StartBulkDeploymentResponse
Deploys multiple groups in one operation.
-
#stop_bulk_deployment(params = {}) ⇒ Struct
Stops the execution of a bulk deployment.
-
#tag_resource(params = {}) ⇒ Struct
Adds tags to a Greengrass resource.
-
#untag_resource(params = {}) ⇒ Struct
Remove resource tags from a Greengrass Resource.
-
#update_connectivity_info(params = {}) ⇒ Types::UpdateConnectivityInfoResponse
Updates the connectivity information for the core.
-
#update_connector_definition(params = {}) ⇒ Struct
Updates a connector definition.
-
#update_core_definition(params = {}) ⇒ Struct
Updates a core definition.
-
#update_device_definition(params = {}) ⇒ Struct
Updates a device definition.
-
#update_function_definition(params = {}) ⇒ Struct
Updates a Lambda function definition.
-
#update_group(params = {}) ⇒ Struct
Updates a group.
-
#update_group_certificate_configuration(params = {}) ⇒ Types::UpdateGroupCertificateConfigurationResponse
Updates the Certificate expiry time for a group.
-
#update_logger_definition(params = {}) ⇒ Struct
Updates a logger definition.
-
#update_resource_definition(params = {}) ⇒ Struct
Updates a resource definition.
-
#update_subscription_definition(params = {}) ⇒ Struct
Updates a subscription definition.
-
#update_thing_runtime_configuration(params = {}) ⇒ Struct
Updates the runtime configuration of a thing.
Instance Method Summary collapse
-
#initialize(options) ⇒ Client
constructor
A new instance of Client.
Methods included from ClientStubs
#api_requests, #stub_data, #stub_responses
Methods inherited from Seahorse::Client::Base
add_plugin, api, clear_plugins, define, new, #operation_names, plugins, remove_plugin, set_api, set_plugins
Methods included from Seahorse::Client::HandlerBuilder
#handle, #handle_request, #handle_response
Constructor Details
#initialize(options) ⇒ Client
Returns a new instance of Client.
478 479 480 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 478 def initialize(*args) super end |
Instance Method Details
#associate_role_to_group(params = {}) ⇒ Types::AssociateRoleToGroupResponse
Associates a role with a group. Your Greengrass core will use the role to access AWS cloud services. The role's permissions should allow Greengrass core Lambda functions to perform actions against the cloud.
513 514 515 516 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 513 def associate_role_to_group(params = {}, = {}) req = build_request(:associate_role_to_group, params) req.send_request() end |
#associate_service_role_to_account(params = {}) ⇒ Types::AssociateServiceRoleToAccountResponse
Associates a role with your account. AWS IoT Greengrass will use the role to access your Lambda functions and AWS IoT resources. This is necessary for deployments to succeed. The role must have at least minimum permissions in the policy ''AWSGreengrassResourceAccessRolePolicy''.
545 546 547 548 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 545 def associate_service_role_to_account(params = {}, = {}) req = build_request(:associate_service_role_to_account, params) req.send_request() end |
#create_connector_definition(params = {}) ⇒ Types::CreateConnectorDefinitionResponse
Creates a connector definition. You may provide the initial version of the connector definition now or use ''CreateConnectorDefinitionVersion'' at a later time.
610 611 612 613 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 610 def create_connector_definition(params = {}, = {}) req = build_request(:create_connector_definition, params) req.send_request() end |
#create_connector_definition_version(params = {}) ⇒ Types::CreateConnectorDefinitionVersionResponse
Creates a version of a connector definition which has already been defined.
658 659 660 661 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 658 def create_connector_definition_version(params = {}, = {}) req = build_request(:create_connector_definition_version, params) req.send_request() end |
#create_core_definition(params = {}) ⇒ Types::CreateCoreDefinitionResponse
Creates a core definition. You may provide the initial version of the core definition now or use ''CreateCoreDefinitionVersion'' at a later time. Greengrass groups must each contain exactly one Greengrass core.
722 723 724 725 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 722 def create_core_definition(params = {}, = {}) req = build_request(:create_core_definition, params) req.send_request() end |
#create_core_definition_version(params = {}) ⇒ Types::CreateCoreDefinitionVersionResponse
Creates a version of a core definition that has already been defined. Greengrass groups must each contain exactly one Greengrass core.
769 770 771 772 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 769 def create_core_definition_version(params = {}, = {}) req = build_request(:create_core_definition_version, params) req.send_request() end |
#create_deployment(params = {}) ⇒ Types::CreateDeploymentResponse
Creates a deployment. ''CreateDeployment'' requests are idempotent with respect to the ''X-Amzn-Client-Token'' token and the request parameters.
817 818 819 820 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 817 def create_deployment(params = {}, = {}) req = build_request(:create_deployment, params) req.send_request() end |
#create_device_definition(params = {}) ⇒ Types::CreateDeviceDefinitionResponse
Creates a device definition. You may provide the initial version of the device definition now or use ''CreateDeviceDefinitionVersion'' at a later time.
880 881 882 883 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 880 def create_device_definition(params = {}, = {}) req = build_request(:create_device_definition, params) req.send_request() end |
#create_device_definition_version(params = {}) ⇒ Types::CreateDeviceDefinitionVersionResponse
Creates a version of a device definition that has already been defined.
927 928 929 930 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 927 def create_device_definition_version(params = {}, = {}) req = build_request(:create_device_definition_version, params) req.send_request() end |
#create_function_definition(params = {}) ⇒ Types::CreateFunctionDefinitionResponse
Creates a Lambda function definition which contains a list of Lambda functions and their configurations to be used in a group. You can create an initial version of the definition by providing a list of Lambda functions and their configurations now, or use ''CreateFunctionDefinitionVersion'' later.
1027 1028 1029 1030 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1027 def create_function_definition(params = {}, = {}) req = build_request(:create_function_definition, params) req.send_request() end |
#create_function_definition_version(params = {}) ⇒ Types::CreateFunctionDefinitionVersionResponse
Creates a version of a Lambda function definition that has already been defined.
1113 1114 1115 1116 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1113 def create_function_definition_version(params = {}, = {}) req = build_request(:create_function_definition_version, params) req.send_request() end |
#create_group(params = {}) ⇒ Types::CreateGroupResponse
Creates a group. You may provide the initial version of the group or use ''CreateGroupVersion'' at a later time. Tip: You can use the ''gg_group_setup'' package (https://github.com/awslabs/aws-greengrass-group-setup) as a library or command-line application to create and deploy Greengrass groups.
1177 1178 1179 1180 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1177 def create_group(params = {}, = {}) req = build_request(:create_group, params) req.send_request() end |
#create_group_certificate_authority(params = {}) ⇒ Types::CreateGroupCertificateAuthorityResponse
Creates a CA for the group. If a CA already exists, it will rotate the existing CA.
1208 1209 1210 1211 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1208 def (params = {}, = {}) req = build_request(:create_group_certificate_authority, params) req.send_request() end |
#create_group_version(params = {}) ⇒ Types::CreateGroupVersionResponse
Creates a version of a group which has already been defined.
1265 1266 1267 1268 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1265 def create_group_version(params = {}, = {}) req = build_request(:create_group_version, params) req.send_request() end |
#create_logger_definition(params = {}) ⇒ Types::CreateLoggerDefinitionResponse
Creates a logger definition. You may provide the initial version of the logger definition now or use ''CreateLoggerDefinitionVersion'' at a later time.
1329 1330 1331 1332 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1329 def create_logger_definition(params = {}, = {}) req = build_request(:create_logger_definition, params) req.send_request() end |
#create_logger_definition_version(params = {}) ⇒ Types::CreateLoggerDefinitionVersionResponse
Creates a version of a logger definition that has already been defined.
1377 1378 1379 1380 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1377 def create_logger_definition_version(params = {}, = {}) req = build_request(:create_logger_definition_version, params) req.send_request() end |
#create_resource_definition(params = {}) ⇒ Types::CreateResourceDefinitionResponse
Creates a resource definition which contains a list of resources to be used in a group. You can create an initial version of the definition by providing a list of resources now, or use ''CreateResourceDefinitionVersion'' later.
1476 1477 1478 1479 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1476 def create_resource_definition(params = {}, = {}) req = build_request(:create_resource_definition, params) req.send_request() end |
#create_resource_definition_version(params = {}) ⇒ Types::CreateResourceDefinitionVersionResponse
Creates a version of a resource definition that has already been defined.
1558 1559 1560 1561 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1558 def create_resource_definition_version(params = {}, = {}) req = build_request(:create_resource_definition_version, params) req.send_request() end |
#create_software_update_job(params = {}) ⇒ Types::CreateSoftwareUpdateJobResponse
Creates a software update for a core or group of cores (specified as an IoT thing group.) Use this to update the OTA Agent as well as the Greengrass core software. It makes use of the IoT Jobs feature which provides additional commands to manage a Greengrass core software update job.
1620 1621 1622 1623 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1620 def create_software_update_job(params = {}, = {}) req = build_request(:create_software_update_job, params) req.send_request() end |
#create_subscription_definition(params = {}) ⇒ Types::CreateSubscriptionDefinitionResponse
Creates a subscription definition. You may provide the initial version of the subscription definition now or use ''CreateSubscriptionDefinitionVersion'' at a later time.
1683 1684 1685 1686 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1683 def create_subscription_definition(params = {}, = {}) req = build_request(:create_subscription_definition, params) req.send_request() end |
#create_subscription_definition_version(params = {}) ⇒ Types::CreateSubscriptionDefinitionVersionResponse
Creates a version of a subscription definition which has already been defined.
1730 1731 1732 1733 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1730 def create_subscription_definition_version(params = {}, = {}) req = build_request(:create_subscription_definition_version, params) req.send_request() end |
#delete_connector_definition(params = {}) ⇒ Struct
Deletes a connector definition.
1751 1752 1753 1754 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1751 def delete_connector_definition(params = {}, = {}) req = build_request(:delete_connector_definition, params) req.send_request() end |
#delete_core_definition(params = {}) ⇒ Struct
Deletes a core definition.
1772 1773 1774 1775 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1772 def delete_core_definition(params = {}, = {}) req = build_request(:delete_core_definition, params) req.send_request() end |
#delete_device_definition(params = {}) ⇒ Struct
Deletes a device definition.
1793 1794 1795 1796 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1793 def delete_device_definition(params = {}, = {}) req = build_request(:delete_device_definition, params) req.send_request() end |
#delete_function_definition(params = {}) ⇒ Struct
Deletes a Lambda function definition.
1814 1815 1816 1817 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1814 def delete_function_definition(params = {}, = {}) req = build_request(:delete_function_definition, params) req.send_request() end |
#delete_group(params = {}) ⇒ Struct
Deletes a group.
1835 1836 1837 1838 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1835 def delete_group(params = {}, = {}) req = build_request(:delete_group, params) req.send_request() end |
#delete_logger_definition(params = {}) ⇒ Struct
Deletes a logger definition.
1856 1857 1858 1859 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1856 def delete_logger_definition(params = {}, = {}) req = build_request(:delete_logger_definition, params) req.send_request() end |
#delete_resource_definition(params = {}) ⇒ Struct
Deletes a resource definition.
1877 1878 1879 1880 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1877 def delete_resource_definition(params = {}, = {}) req = build_request(:delete_resource_definition, params) req.send_request() end |
#delete_subscription_definition(params = {}) ⇒ Struct
Deletes a subscription definition.
1898 1899 1900 1901 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1898 def delete_subscription_definition(params = {}, = {}) req = build_request(:delete_subscription_definition, params) req.send_request() end |
#disassociate_role_from_group(params = {}) ⇒ Types::DisassociateRoleFromGroupResponse
Disassociates the role from a group.
1925 1926 1927 1928 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1925 def disassociate_role_from_group(params = {}, = {}) req = build_request(:disassociate_role_from_group, params) req.send_request() end |
#disassociate_service_role_from_account(params = {}) ⇒ Types::DisassociateServiceRoleFromAccountResponse
Disassociates the service role from your account. Without a service role, deployments will not work.
1945 1946 1947 1948 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1945 def disassociate_service_role_from_account(params = {}, = {}) req = build_request(:disassociate_service_role_from_account, params) req.send_request() end |
#get_associated_role(params = {}) ⇒ Types::GetAssociatedRoleResponse
Retrieves the role associated with a particular group.
1974 1975 1976 1977 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 1974 def get_associated_role(params = {}, = {}) req = build_request(:get_associated_role, params) req.send_request() end |
#get_bulk_deployment_status(params = {}) ⇒ Types::GetBulkDeploymentStatusResponse
Returns the status of a bulk deployment.
2016 2017 2018 2019 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2016 def get_bulk_deployment_status(params = {}, = {}) req = build_request(:get_bulk_deployment_status, params) req.send_request() end |
#get_connectivity_info(params = {}) ⇒ Types::GetConnectivityInfoResponse
Retrieves the connectivity information for a core.
2049 2050 2051 2052 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2049 def get_connectivity_info(params = {}, = {}) req = build_request(:get_connectivity_info, params) req.send_request() end |
#get_connector_definition(params = {}) ⇒ Types::GetConnectorDefinitionResponse
Retrieves information about a connector definition.
2091 2092 2093 2094 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2091 def get_connector_definition(params = {}, = {}) req = build_request(:get_connector_definition, params) req.send_request() end |
#get_connector_definition_version(params = {}) ⇒ Types::GetConnectorDefinitionVersionResponse
Retrieves information about a connector definition version, including the connectors that the version contains. Connectors are prebuilt modules that interact with local infrastructure, device protocols, AWS, and other cloud services.
2141 2142 2143 2144 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2141 def get_connector_definition_version(params = {}, = {}) req = build_request(:get_connector_definition_version, params) req.send_request() end |
#get_core_definition(params = {}) ⇒ Types::GetCoreDefinitionResponse
Retrieves information about a core definition version.
2183 2184 2185 2186 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2183 def get_core_definition(params = {}, = {}) req = build_request(:get_core_definition, params) req.send_request() end |
#get_core_definition_version(params = {}) ⇒ Types::GetCoreDefinitionVersionResponse
Retrieves information about a core definition version.
2227 2228 2229 2230 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2227 def get_core_definition_version(params = {}, = {}) req = build_request(:get_core_definition_version, params) req.send_request() end |
#get_deployment_status(params = {}) ⇒ Types::GetDeploymentStatusResponse
Returns the status of a deployment.
2267 2268 2269 2270 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2267 def get_deployment_status(params = {}, = {}) req = build_request(:get_deployment_status, params) req.send_request() end |
#get_device_definition(params = {}) ⇒ Types::GetDeviceDefinitionResponse
Retrieves information about a device definition.
2309 2310 2311 2312 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2309 def get_device_definition(params = {}, = {}) req = build_request(:get_device_definition, params) req.send_request() end |
#get_device_definition_version(params = {}) ⇒ Types::GetDeviceDefinitionVersionResponse
Retrieves information about a device definition version.
2356 2357 2358 2359 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2356 def get_device_definition_version(params = {}, = {}) req = build_request(:get_device_definition_version, params) req.send_request() end |
#get_function_definition(params = {}) ⇒ Types::GetFunctionDefinitionResponse
Retrieves information about a Lambda function definition, including its creation time and latest version.
2399 2400 2401 2402 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2399 def get_function_definition(params = {}, = {}) req = build_request(:get_function_definition, params) req.send_request() end |
#get_function_definition_version(params = {}) ⇒ Types::GetFunctionDefinitionVersionResponse
Retrieves information about a Lambda function definition version, including which Lambda functions are included in the version and their configurations.
2465 2466 2467 2468 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2465 def get_function_definition_version(params = {}, = {}) req = build_request(:get_function_definition_version, params) req.send_request() end |
#get_group(params = {}) ⇒ Types::GetGroupResponse
Retrieves information about a group.
2507 2508 2509 2510 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2507 def get_group(params = {}, = {}) req = build_request(:get_group, params) req.send_request() end |
#get_group_certificate_authority(params = {}) ⇒ Types::GetGroupCertificateAuthorityResponse
Retreives the CA associated with a group. Returns the public key of the CA.
2542 2543 2544 2545 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2542 def (params = {}, = {}) req = build_request(:get_group_certificate_authority, params) req.send_request() end |
#get_group_certificate_configuration(params = {}) ⇒ Types::GetGroupCertificateConfigurationResponse
Retrieves the current configuration for the CA used by the group.
2573 2574 2575 2576 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2573 def get_group_certificate_configuration(params = {}, = {}) req = build_request(:get_group_certificate_configuration, params) req.send_request() end |
#get_group_version(params = {}) ⇒ Types::GetGroupVersionResponse
Retrieves information about a group version.
2617 2618 2619 2620 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2617 def get_group_version(params = {}, = {}) req = build_request(:get_group_version, params) req.send_request() end |
#get_logger_definition(params = {}) ⇒ Types::GetLoggerDefinitionResponse
Retrieves information about a logger definition.
2659 2660 2661 2662 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2659 def get_logger_definition(params = {}, = {}) req = build_request(:get_logger_definition, params) req.send_request() end |
#get_logger_definition_version(params = {}) ⇒ Types::GetLoggerDefinitionVersionResponse
Retrieves information about a logger definition version.
2705 2706 2707 2708 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2705 def get_logger_definition_version(params = {}, = {}) req = build_request(:get_logger_definition_version, params) req.send_request() end |
#get_resource_definition(params = {}) ⇒ Types::GetResourceDefinitionResponse
Retrieves information about a resource definition, including its creation time and latest version.
2748 2749 2750 2751 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2748 def get_resource_definition(params = {}, = {}) req = build_request(:get_resource_definition, params) req.send_request() end |
#get_resource_definition_version(params = {}) ⇒ Types::GetResourceDefinitionVersionResponse
Retrieves information about a resource definition version, including which resources are included in the version.
2807 2808 2809 2810 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2807 def get_resource_definition_version(params = {}, = {}) req = build_request(:get_resource_definition_version, params) req.send_request() end |
#get_service_role_for_account(params = {}) ⇒ Types::GetServiceRoleForAccountResponse
Retrieves the service role that is attached to your account.
2828 2829 2830 2831 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2828 def get_service_role_for_account(params = {}, = {}) req = build_request(:get_service_role_for_account, params) req.send_request() end |
#get_subscription_definition(params = {}) ⇒ Types::GetSubscriptionDefinitionResponse
Retrieves information about a subscription definition.
2870 2871 2872 2873 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2870 def get_subscription_definition(params = {}, = {}) req = build_request(:get_subscription_definition, params) req.send_request() end |
#get_subscription_definition_version(params = {}) ⇒ Types::GetSubscriptionDefinitionVersionResponse
Retrieves information about a subscription definition version.
2917 2918 2919 2920 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2917 def get_subscription_definition_version(params = {}, = {}) req = build_request(:get_subscription_definition_version, params) req.send_request() end |
#get_thing_runtime_configuration(params = {}) ⇒ Types::GetThingRuntimeConfigurationResponse
Get the runtime configuration of a thing.
2945 2946 2947 2948 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2945 def get_thing_runtime_configuration(params = {}, = {}) req = build_request(:get_thing_runtime_configuration, params) req.send_request() end |
#list_bulk_deployment_detailed_reports(params = {}) ⇒ Types::ListBulkDeploymentDetailedReportsResponse
Gets a paginated list of the deployments that have been started in a bulk deployment operation, and their current deployment status.
2991 2992 2993 2994 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 2991 def list_bulk_deployment_detailed_reports(params = {}, = {}) req = build_request(:list_bulk_deployment_detailed_reports, params) req.send_request() end |
#list_bulk_deployments(params = {}) ⇒ Types::ListBulkDeploymentsResponse
Returns a list of bulk deployments.
3026 3027 3028 3029 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3026 def list_bulk_deployments(params = {}, = {}) req = build_request(:list_bulk_deployments, params) req.send_request() end |
#list_connector_definition_versions(params = {}) ⇒ Types::ListConnectorDefinitionVersionsResponse
Lists the versions of a connector definition, which are containers for connectors. Connectors run on the Greengrass core and contain built-in integration with local infrastructure, device protocols, AWS, and other cloud services.
3068 3069 3070 3071 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3068 def list_connector_definition_versions(params = {}, = {}) req = build_request(:list_connector_definition_versions, params) req.send_request() end |
#list_connector_definitions(params = {}) ⇒ Types::ListConnectorDefinitionsResponse
Retrieves a list of connector definitions.
3109 3110 3111 3112 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3109 def list_connector_definitions(params = {}, = {}) req = build_request(:list_connector_definitions, params) req.send_request() end |
#list_core_definition_versions(params = {}) ⇒ Types::ListCoreDefinitionVersionsResponse
Lists the versions of a core definition.
3148 3149 3150 3151 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3148 def list_core_definition_versions(params = {}, = {}) req = build_request(:list_core_definition_versions, params) req.send_request() end |
#list_core_definitions(params = {}) ⇒ Types::ListCoreDefinitionsResponse
Retrieves a list of core definitions.
3189 3190 3191 3192 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3189 def list_core_definitions(params = {}, = {}) req = build_request(:list_core_definitions, params) req.send_request() end |
#list_deployments(params = {}) ⇒ Types::ListDeploymentsResponse
Returns a history of deployments for the group.
3229 3230 3231 3232 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3229 def list_deployments(params = {}, = {}) req = build_request(:list_deployments, params) req.send_request() end |
#list_device_definition_versions(params = {}) ⇒ Types::ListDeviceDefinitionVersionsResponse
Lists the versions of a device definition.
3268 3269 3270 3271 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3268 def list_device_definition_versions(params = {}, = {}) req = build_request(:list_device_definition_versions, params) req.send_request() end |
#list_device_definitions(params = {}) ⇒ Types::ListDeviceDefinitionsResponse
Retrieves a list of device definitions.
3309 3310 3311 3312 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3309 def list_device_definitions(params = {}, = {}) req = build_request(:list_device_definitions, params) req.send_request() end |
#list_function_definition_versions(params = {}) ⇒ Types::ListFunctionDefinitionVersionsResponse
Lists the versions of a Lambda function definition.
3348 3349 3350 3351 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3348 def list_function_definition_versions(params = {}, = {}) req = build_request(:list_function_definition_versions, params) req.send_request() end |
#list_function_definitions(params = {}) ⇒ Types::ListFunctionDefinitionsResponse
Retrieves a list of Lambda function definitions.
3389 3390 3391 3392 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3389 def list_function_definitions(params = {}, = {}) req = build_request(:list_function_definitions, params) req.send_request() end |
#list_group_certificate_authorities(params = {}) ⇒ Types::ListGroupCertificateAuthoritiesResponse
Retrieves the current CAs for a group.
3418 3419 3420 3421 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3418 def (params = {}, = {}) req = build_request(:list_group_certificate_authorities, params) req.send_request() end |
#list_group_versions(params = {}) ⇒ Types::ListGroupVersionsResponse
Lists the versions of a group.
3457 3458 3459 3460 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3457 def list_group_versions(params = {}, = {}) req = build_request(:list_group_versions, params) req.send_request() end |
#list_groups(params = {}) ⇒ Types::ListGroupsResponse
Retrieves a list of groups.
3496 3497 3498 3499 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3496 def list_groups(params = {}, = {}) req = build_request(:list_groups, params) req.send_request() end |
#list_logger_definition_versions(params = {}) ⇒ Types::ListLoggerDefinitionVersionsResponse
Lists the versions of a logger definition.
3535 3536 3537 3538 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3535 def list_logger_definition_versions(params = {}, = {}) req = build_request(:list_logger_definition_versions, params) req.send_request() end |
#list_logger_definitions(params = {}) ⇒ Types::ListLoggerDefinitionsResponse
Retrieves a list of logger definitions.
3576 3577 3578 3579 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3576 def list_logger_definitions(params = {}, = {}) req = build_request(:list_logger_definitions, params) req.send_request() end |
#list_resource_definition_versions(params = {}) ⇒ Types::ListResourceDefinitionVersionsResponse
Lists the versions of a resource definition.
3615 3616 3617 3618 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3615 def list_resource_definition_versions(params = {}, = {}) req = build_request(:list_resource_definition_versions, params) req.send_request() end |
#list_resource_definitions(params = {}) ⇒ Types::ListResourceDefinitionsResponse
Retrieves a list of resource definitions.
3656 3657 3658 3659 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3656 def list_resource_definitions(params = {}, = {}) req = build_request(:list_resource_definitions, params) req.send_request() end |
#list_subscription_definition_versions(params = {}) ⇒ Types::ListSubscriptionDefinitionVersionsResponse
Lists the versions of a subscription definition.
3695 3696 3697 3698 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3695 def list_subscription_definition_versions(params = {}, = {}) req = build_request(:list_subscription_definition_versions, params) req.send_request() end |
#list_subscription_definitions(params = {}) ⇒ Types::ListSubscriptionDefinitionsResponse
Retrieves a list of subscription definitions.
3736 3737 3738 3739 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3736 def list_subscription_definitions(params = {}, = {}) req = build_request(:list_subscription_definitions, params) req.send_request() end |
#list_tags_for_resource(params = {}) ⇒ Types::ListTagsForResourceResponse
Retrieves a list of resource tags for a resource arn.
3764 3765 3766 3767 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3764 def (params = {}, = {}) req = build_request(:list_tags_for_resource, params) req.send_request() end |
#reset_deployments(params = {}) ⇒ Types::ResetDeploymentsResponse
Resets a group's deployments.
3800 3801 3802 3803 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3800 def reset_deployments(params = {}, = {}) req = build_request(:reset_deployments, params) req.send_request() end |
#start_bulk_deployment(params = {}) ⇒ Types::StartBulkDeploymentResponse
Deploys multiple groups in one operation. This action starts the bulk deployment of a specified set of group versions. Each group version deployment will be triggered with an adaptive rate that has a fixed upper limit. We recommend that you include an ''X-Amzn-Client-Token'' token in every ''StartBulkDeployment'' request. These requests are idempotent with respect to the token and the request parameters.
3859 3860 3861 3862 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3859 def start_bulk_deployment(params = {}, = {}) req = build_request(:start_bulk_deployment, params) req.send_request() end |
#stop_bulk_deployment(params = {}) ⇒ Struct
Stops the execution of a bulk deployment. This action returns a status of ''Stopping'' until the deployment is stopped. You cannot start a new bulk deployment while a previous deployment is in the ''Stopping'' state. This action doesn't rollback completed deployments or cancel pending deployments.
3884 3885 3886 3887 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3884 def stop_bulk_deployment(params = {}, = {}) req = build_request(:stop_bulk_deployment, params) req.send_request() end |
#tag_resource(params = {}) ⇒ Struct
Adds tags to a Greengrass resource. Valid resources are 'Group', 'ConnectorDefinition', 'CoreDefinition', 'DeviceDefinition', 'FunctionDefinition', 'LoggerDefinition', 'SubscriptionDefinition', 'ResourceDefinition', and 'BulkDeployment'.
3915 3916 3917 3918 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3915 def tag_resource(params = {}, = {}) req = build_request(:tag_resource, params) req.send_request() end |
#untag_resource(params = {}) ⇒ Struct
Remove resource tags from a Greengrass Resource.
3939 3940 3941 3942 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3939 def untag_resource(params = {}, = {}) req = build_request(:untag_resource, params) req.send_request() end |
#update_connectivity_info(params = {}) ⇒ Types::UpdateConnectivityInfoResponse
Updates the connectivity information for the core. Any devices that belong to the group which has this core will receive this information in order to find the location of the core and connect to it.
3981 3982 3983 3984 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 3981 def update_connectivity_info(params = {}, = {}) req = build_request(:update_connectivity_info, params) req.send_request() end |
#update_connector_definition(params = {}) ⇒ Struct
Updates a connector definition.
4005 4006 4007 4008 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4005 def update_connector_definition(params = {}, = {}) req = build_request(:update_connector_definition, params) req.send_request() end |
#update_core_definition(params = {}) ⇒ Struct
Updates a core definition.
4029 4030 4031 4032 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4029 def update_core_definition(params = {}, = {}) req = build_request(:update_core_definition, params) req.send_request() end |
#update_device_definition(params = {}) ⇒ Struct
Updates a device definition.
4053 4054 4055 4056 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4053 def update_device_definition(params = {}, = {}) req = build_request(:update_device_definition, params) req.send_request() end |
#update_function_definition(params = {}) ⇒ Struct
Updates a Lambda function definition.
4077 4078 4079 4080 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4077 def update_function_definition(params = {}, = {}) req = build_request(:update_function_definition, params) req.send_request() end |
#update_group(params = {}) ⇒ Struct
Updates a group.
4101 4102 4103 4104 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4101 def update_group(params = {}, = {}) req = build_request(:update_group, params) req.send_request() end |
#update_group_certificate_configuration(params = {}) ⇒ Types::UpdateGroupCertificateConfigurationResponse
Updates the Certificate expiry time for a group.
4137 4138 4139 4140 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4137 def update_group_certificate_configuration(params = {}, = {}) req = build_request(:update_group_certificate_configuration, params) req.send_request() end |
#update_logger_definition(params = {}) ⇒ Struct
Updates a logger definition.
4161 4162 4163 4164 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4161 def update_logger_definition(params = {}, = {}) req = build_request(:update_logger_definition, params) req.send_request() end |
#update_resource_definition(params = {}) ⇒ Struct
Updates a resource definition.
4185 4186 4187 4188 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4185 def update_resource_definition(params = {}, = {}) req = build_request(:update_resource_definition, params) req.send_request() end |
#update_subscription_definition(params = {}) ⇒ Struct
Updates a subscription definition.
4209 4210 4211 4212 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4209 def update_subscription_definition(params = {}, = {}) req = build_request(:update_subscription_definition, params) req.send_request() end |
#update_thing_runtime_configuration(params = {}) ⇒ Struct
Updates the runtime configuration of a thing.
4236 4237 4238 4239 |
# File 'gems/aws-sdk-greengrass/lib/aws-sdk-greengrass/client.rb', line 4236 def update_thing_runtime_configuration(params = {}, = {}) req = build_request(:update_thing_runtime_configuration, params) req.send_request() end |